<?php

namespace Teknisa\ACL\Controllers;

use Teknisa\Libs\Util\Environment;
use Teknisa\Model\Geral\Entities\Data;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Teknisa\ACL\Util\InstanceProvider;
use Teknisa\ACL\Util\Messages;
use Teknisa\ACL\Util\AclUtilities;


class SqlLogs extends Crud{
    protected $dataSourceName = "sqlLogs";



    public function __construct(Manager $dataSourceManager) {
        parent::__construct($dataSourceManager);
    }

    public function findSqlLogs(DTO\Request $request, DTO\Response $response){
        try{
            $conditions = $request->getFilterCriteria()->getConditions();
            $page       = $request->getFilterCriteria()->getPage();
            $pageSize   = $request->getFilterCriteria()->getPageSize();
            $orderBy    = $request->getFilterCriteria()->getOrderBy();

            $result = InstanceProvider::getService()->getSqlLogs()->findSqlLogs($conditions, $pageSize, $page, $orderBy);
            $response->addDataSet(new DataSet('sqlLogs', $result));
        } catch (\Exception $e) {
            $response->addMessage(new Response\Message($e->getMessage(), Response\Message::TYPE_ERROR));
        }
    }

    public function findDbUser(DTO\Request $request, DTO\Response $response){
        try{
            $result = InstanceProvider::getService()->getSqlLogs()->findDbUser();
            $response->addDataSet(new DataSet('data', $result));
        } catch (\Exception $e) {
            $response->addMessage(new Response\Message($e->getMessage(), Response\Message::TYPE_ERROR));
        }
    }
}